<?php
	// theme options
	function basilico_customizer_register($wp_customize) {
	// Blog styling
	$wp_customize->add_section('basilico_blog_styling', array(
		'title' => __('Blog styling', 'basilico'),
		'description' => 'Styling the blog'
	));
	$wp_customize->add_setting('main_color', array(
		'default' => '#1b9145',
		'type'	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control( new WP_Customize_color_Control($wp_customize, 'main_color', array(
		'label' => __('Edit main background', 'basilico'),
		'section' => 'basilico_blog_styling',
		'settings' => 'main_color'
	) ));
	$wp_customize->add_setting('background_pattern', array(
		'default' => get_template_directory_uri() . '/includes/bg.png',
		'type'	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'background_pattern', array(
		'label' => __('Edit background pattern', 'basilico'),
		'section' => 'basilico_blog_styling',
		'settings' => 'background_pattern'
	) ));
	// General settings
	$wp_customize->add_section('basilico_general_settings', array(
		'title' => __('Change logo', 'basilico'),
		'description' => 'setting the general settings'
	));
	$wp_customize->add_setting('logo_image', array(
		'type'	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'logo_image', array(
		'label' => __('Edit logo image', 'basilico'),
		'section' => 'basilico_general_settings',
		'settings' => 'logo_image'
	) ));
	$wp_customize->add_setting('favicon_image', array(
		'type'	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'favicon_image', array(
		'label' => __('Edit favicon image', 'basilico'),
		'section' => 'basilico_general_settings',
		'settings' => 'favicon_image'
	) ));
}
function basilico_css_customizer() {
?>
	<style type="text/css">
		body .article_header,body .button a,body #bar1,body #bar2,body #bar3,body thead th,body .widget_title,body #footer,body nav ul li a:hover,body nav ul li.current_page_item > a,body .nav-previous a,body .nav-next a{
			background-color:<?php echo get_theme_mod('main_color'); ?>;
		}
		body .single_article_author span,body .single_article_author span a,body .cbp-spmenu .menu-item-has-children:before,body ol li,body h1,body h2,body h3,body h4,body hr,body a{
			color:<?php echo get_theme_mod('main_color'); ?>;
		}
		body hr{
		border-top: 2px solid <?php echo get_theme_mod('main_color'); ?>;
		}
		body #overflow_container,body{
		background-image:url(<?php echo get_theme_mod('background_pattern'); ?>);
		}
	</style>
<?php 
}
add_action('customize_register', 'basilico_customizer_register');
add_action('wp_head', 'basilico_css_customizer');
?>