<?php
add_action( 'tgmpa_register', 'basilico_register_required_plugins' );
function basilico_register_required_plugins() {
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
            'name'               => 'slides', // The plugin name.
            'slug'               => 'slides', // The plugin slug (typically the folder name).
            'source'             => get_stylesheet_directory() . '/includes/slides.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '1.0.0.', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
            'external_url'       => '', // If set, overrides default API URL and points to an external URL.
        ),
        array(
            'name'      => 'Widget Icon',
            'slug'      => 'widget-icon',
            'required'  => false,
        ),
		array(
            'name'      => 'Yoast wordpress SEO',
            'slug'      => 'wordpress-seo',
            'required'  => false,
        ),
    );
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => __( 'Install Required Plugins for Basilico', 'tgmpa' ),
            'menu_title'                      => __( 'Install Basilico Plugins', 'tgmpa' ),
            'installing'                      => __( 'Installing Plugin for Basilico: %s', 'tgmpa' ), // %s = plugin name.
            'oops'                            => __( 'Something went wrong with the plugin API.', 'tgmpa' ),
            'notice_can_install_required'     => _n_noop( 'Basilico requires the following plugin: %1$s.', 'Basilico requires the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'Basilico recommends the following plugin: %1$s.', 'Basilico recommends the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin for Basilico is currently inactive: %1$s.', 'The following required plugins for Basilico are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin for Basilico is currently inactive: %1$s.', 'The following recommended plugins for Basilico are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin for Basilico', 'Begin installing plugins for Basilico' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin for Basilico', 'Begin activating plugins for Basilico' ),
            'return'                          => __( 'Return to Required Plugins for Basilico Installer', 'tgmpa' ),
            'plugin_activated'                => __( 'Plugin for Basilico activated successfully.', 'tgmpa' ),
            'complete'                        => __( 'All plugins for Basilico installed and activated successfully. %s', 'tgmpa' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
?>